Package org.apache.log4j.chainsaw

## Class LoggerNameModelSupport

- java.lang.Object
- - org.apache.log4j.chainsaw.LoggerNameModelSupport

- All Implemented Interfaces:
    `LoggerNameModel`

      public class LoggerNameModelSupport
      extends Object
      implements LoggerNameModel

  An implementation of LoggerNameModel which can be used as a delegate
  Author:
    Paul Smith <psmith@apache.org>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LoggerNameModelSupport()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `addLoggerName​(String loggerName)` | Attempts to add the loggerName to the model, and returns true if it does, i.e that the loggerName is new, otherwise it is ignored.
    `void` | `addLoggerNameListener​(LoggerNameListener l)` |
    `Collection` | `getLoggerNames()` | Returns an unmodifiable Collection of the uniquely known LoggerNames within this model.
    `void` | `removeLoggerNameListener​(LoggerNameListener l)` |
    `void` | `reset()` | The logger names have been cleared

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggerNameModelSupport

          public LoggerNameModelSupport()

  - ### Method Detail

    - #### getLoggerNames

          public Collection getLoggerNames()

      Description copied from interface: `LoggerNameModel`
      Returns an unmodifiable Collection of the uniquely known LoggerNames within this model.
      Specified by:
        `getLoggerNames` in interface `LoggerNameModel`
      Returns:
        unmodifiable Collection of Logger name Strings

    - #### addLoggerName

          public boolean addLoggerName​(String loggerName)

      Description copied from interface: `LoggerNameModel`
      Attempts to add the loggerName to the model, and returns true if it does, i.e that the loggerName is new, otherwise it is ignored.

      If the loggerName is new for this model, all the LoggerNameListeners are notified using this thread.

      Specified by:
        `addLoggerName` in interface `LoggerNameModel`

    - #### reset

          public void reset()

      Description copied from interface: `LoggerNameModel`
      The logger names have been cleared
      Specified by:
        `reset` in interface `LoggerNameModel`

    - #### addLoggerNameListener

          public void addLoggerNameListener​(LoggerNameListener l)

      Specified by:
        `addLoggerNameListener` in interface `LoggerNameModel`

    - #### removeLoggerNameListener

          public void removeLoggerNameListener​(LoggerNameListener l)

      Specified by:
        `removeLoggerNameListener` in interface `LoggerNameModel`